 diff --git a/openlp/plugins/songs/forms/songexportform.py b/openlp/plugins/songs/forms/songexportform.py
index cff7658..f182769 100644
--- a/openlp/plugins/songs/forms/songexportform.py
+++ b/openlp/plugins/songs/forms/songexportform.py
@@ -219,8 +219,11 @@ class SongExportForm(OpenLPWizard):
             # No need to export temporary songs.
             if song.temporary:
                 continue
-            authors = create_separated_list([author.display_name for author in song.authors])
-            title = '{title} ({author})'.format(title=song.title, author=authors)
+
+            authors = [author.display_name for author in song.authors]
+            authors.sort()
+            title = '{title} ({author})'.format(title=song.title,
+                                                author=create_separated_list(authors))
             item = QtWidgets.QListWidgetItem(title)
             item.setData(QtCore.Qt.UserRole, song)
             item.setFlags(QtCore.Qt.ItemIsSelectable | QtCore.Qt.ItemIsUserCheckable | QtCore.Qt.ItemIsEnabled)
